* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.main-container {
  color: whitesmoke;
  min-width: 375px;
  width: 100%;
}

header {
  background: #3e3c3c;
}

.navbar {
  min-height: 82px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.nav-menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.h-image .img-h {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  position: relative;
  top: 12px;
}

.nav-branding {
  color: #fff;
  font-size: 24px;
  margin: 0.5rem;
  text-decoration: none;
}

.nav-link {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 24px;
  color: #fff5e1;
  transition: 0.7s ease;
}

a#msg {
  display: none;
}

.nav-link:hover {
  background-color: #091e42;
}

.hamburger {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: #fff;
}

li {
  list-style: none;
}

.line-hor {
  display: none;
}

.nav-menu ul {
  margin: 0;
  padding: 0;
  display: flex;
  display: none;
}

.nav-menu li {
  list-style: none;
}

.nav-menu li a {
  text-decoration: none;
  color: #fff;
  padding: 1.5rem;
  display: block;
}

.languages > li {
  padding: 8px;
  border: 1px solid #3e3c3c;
  color: #091e42;
}

.language-list li {
  padding: 15px;
}

.languages-1 > li {
  padding: 8px;
  border: 1px solid #3e3c3c;

  /* color: #091e42; */
}

.me {
  font-family: 'Roboto', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 20px;
  line-height: 20px;
  display: flex;
  align-items: center;
  text-align: center;
  color: #fff;
  height: 22px;
  width: 80px;
  left: 142px;
}

.initial {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-wrap: wrap;
  min-height: 592px;
  height: 100vh;
  min-width: 375px;
  width: 100%;
  padding-left: 24px;
  padding-right: 24px;
  background: url("images/illustration-header-mobile.png");
  background-repeat: no-repeat;
  background-position: right bottom;
  background-color: #1c1a19;
  animation: slidein 3s linear alternate;
}

@keyframes slidein {
  from {
    transform: scale(0);
  }

  50% {
    transform: scale(1.3);
  }

  to {
    transform: scale(1);
  }
}

.info {
  font-family: 'Crete Round', serif;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 0.4px;
  font-size: 50px;
  line-height: 70px;
  color: #f55800;
  animation: slidein 2s linear alternate;
}

h2 {
  font-family: 'Roboto', sans-serif;
  font-size: 24px;
  font-weight: 700;
  line-height: 32px;
  letter-spacing: 0;
  text-align: left;
}

.main-text {
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 24px;
  color: #f4f5f7;
  margin-top: 12px;
}

.icons {
  position: relative;
  bottom: 62px;
  left: 17px;
  width: 49%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  list-style: none;
  margin-top: 99px;
}

.vec {
  width: 25px;
}

.bg {
  flex-direction: column;
  position: absolute;
  background-color: #fff;
}

/* second day project */
.works {
  display: grid;
  columns: 1;
  background: #fff;
  align-items: center;
  padding-top: 40px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 10px;
  animation: zoom 3s linear 2s;
}

@keyframes zoom {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.5);
  }

  100% {
    transform: scale(1);
  }
}

.works-1 {
  background: #fff;
  padding-left: 24px;
  padding-right: 24px;
  animation: zoom 3s linear 2s;
}

@keyframes zoom {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.5);
  }

  100% {
    transform: scale(1);
  }
}

.section-header {
  font-family: 'Crete Round', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  line-height: 52px;
  color: #1c1a19;
  text-align: center;
}

.section-header-1 {
  font-family: 'Crete Round', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  line-height: 52px;
  color: #1c1a19;
  margin-bottom: 20px;
  text-align: center;
}

.line-horizontal {
  width: 327px;
  height: 0;
  border: 1px solid #212121;
  margin-top: 24px;
  margin-bottom: 24px;
  padding-right: 48px;
}

.projects {
  margin-top: 30px;
}

.image-wrapper {
  max-width: 375px;
}

img.placeholder {
  width: 100%;
}

.project-title {
  font-family: 'Crete Round', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 32px;
  line-height: 44px;
  align-items: center;
  color: #091e42;
}

.project-description {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #091e42;
}

.languages-1 {
  margin-top: 10px;
  display: flex;
  gap: 8px;
}

.languages {
  margin-top: 10px;
  display: flex;
  gap: 8px;
}

.project-button {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 17px;
  line-height: 24px;
  background-color: #f55800;
  color: #fff;
  padding: 10px;
  margin-top: 15px;
  border: none;
  text-decoration: none;
}

.bbb {
  color: #ebecf0;
}

.fullwidth-button {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 17px;
  line-height: 24px;
  background-color: #f55800;
  color: #fff;
  padding: 10px;
  margin-top: 15px;
  border: none;
}

.fullwidth-button-1 {
  width: 100%;
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 17px;
  line-height: 24px;
  background-color: #f55800;
  color: #fff;
  padding: 10px;
  margin-top: 15px;
  border: none;
}

.project-data {
  background: linear-gradient(180.45deg, rgba(38, 38, 38, 0) 0.75%, rgba(38, 38, 38, 0.9) 61.94%), url(./images/bbg.png);
  background-repeat: no-repeat;
  color: #fff;
}

.project-data .project-title {
  padding-top: 82px;
  padding-left: 16px;
  padding-right: 16px;
  color: #f4f5f7;
}

.project-data .project-description {
  padding-left: 16px;
  padding-right: 16px;
  color: #f4f5f7;
}

.project-data .languages {
  padding-left: 16px;
  padding-right: 16px;
}

.project-data .languages > li {
  color: #f4f5f7;
  background: rgba(255, 255, 255, 0.24);
}

.about-me {
  min-width: 375px;
  background: #262626;
  margin-top: 80px;
}

.about-me-main {
  padding-left: 24px;
  padding-right: 24px;
}

.about-me .about-me-main-1 {
  background: url("images/about-me-background.png");
  background-position: right bottom;
  background-repeat: no-repeat;
  height: 200px;
  width: 100%;
  right: 0;
  bottom: 0;
}

.about-me .about-me-main h2 {
  font-family: 'Crete Round', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 72px;
  line-height: 88px;
  letter-spacing: 0.37px;
  color: #ff6b00;
  padding-top: 120px;
}

.about-me .about-me-main .about-me p {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #f4f5f7;
}

.separator-line {
  margin-left: 24px;
  margin-right: 24px;
}

ul.skill-set {
  background-color: #1c1a19;
}

.lang-wrapper {
  padding-top: 20px;
  display: flex;
  gap: 5px;
  justify-content: center;
}

.triangle {
  width: 18px;
}

.language-list {
  display: flex;
  list-style: none;
  text-align: center;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 5px;
  width: 100%;
}

.framework {
  padding-top: 15px;
}

/* contact us information */
.contact {
  background-color: #fff;
  display: grid;
  columns: 1;
  align-items: center;
  justify-content: center;
  padding-top: 95px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 120px;
  margin-top: auto;
}

.contact-us {
  display: grid;
  columns: 1;
  background: #fff;
  align-items: center;
  justify-content: center;
  padding-top: 24px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 120px;
}

.form-contact {
  padding: 0 24px;
  padding-left: 24px;
  padding-right: 24px;
}

.contactus-description {
  width: 327px;
  height: 216px;
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
  text-align: center;
  letter-spacing: 0;
}

input {
  width: 292px;
  border-radius: 0;
  padding: 15px;
  margin: 10px 6px 10px 9px;
  position: relative;
  color: #1c1a19;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-bottom: 1px solid;
}

textarea {
  width: 290px;
  height: 148px;
  margin: 7px;
  border-radius: 5px;
  font-family: 'Roboto', sans-serif;
  font-style: normal;
  letter-spacing: 0;
  color: #3c3a39;
  background: #f4f5f7;
  text-align: left;
  line-height: 24px;
  left: 0;
  right: 0;
  top: 0;
  border: 0;
  padding-left: 15px;
}

textarea:focus {
  outline: none !important;
  border-color: #719ece;
  box-shadow: 0 0 10px #719ece;
}

.contact-button {
  padding: 12px;
  gap: 10px;
  width: 140px;
  height: 48px;
  background: #f55800;
  color: #f4f5f7;
  border: none;
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 17px;
  line-height: 24px;
  justify-content: center;
  display: block;
  text-align: center;
  margin: 15px auto auto auto;
}

.contact-button:hover {
  background-color: black;
}

.form-submit {
  padding-left: 0;
  width: 122px;
  height: 48px;
  background: #f55800;
  color: #f4f5f7;
  border: none;
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

footer {
  background-color: white;
  border-style: solid;
  border-top: 1px solid rgb(190, 188, 186);
}

footer:hover {
  border-top: 1px solid blue;
}

.footer-icon {
  justify-content: center;
  display: flex;
  flex-direction: row;
  gap: 20px;
  position: relative;
  padding-top: 5px;
  margin: 5px auto auto auto;
}

footer > hr {
  width: 134px;
  margin: 0 45%;
  height: 5px;
  bottom: 8px;
  background: #0d151e;
  border-radius: 10px;
}

/* desktop version */
@media only screen and (min-width: 768px) {
  .initial {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    background: url(images/desktop-header-background.png);
    background-size: 380px;
    background-repeat: no-repeat;
    background-position: right top;
    background-color: #1c1a19;
  }

  .info-main {
    width: 85%;
  }

  .icons {
    width: 15%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  h1.info {
    font-size: 54px;
    width: 41%;
  }

  p.main-text {
    width: 60%;
  }

  .main-container {
    background-color: white;
  }

  .works-1 {
    background: #fff;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    row-gap: 0;
    column-gap: 12px;
    margin-top: 4px;
    margin-bottom: 24px;
    padding-left: 141px;
    padding-right: 143px;
  }

  .projects {
    min-height: 435px;
    height: 100%;
  }

  .works {
    background: white;
    margin-top: 14px;
    padding-left: 141px;
    padding-right: 143px;
  }

  .works-head {
    display: flex;
    column-gap: 8px;
    margin-left: 28px;
    margin-bottom: 34px;
  }

  .section-header {
    width: 315px;
    height: 52px;
    font-family: 'Crete Round', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 52px;
    color: #091e42;
  }

  .section-pargraph {
    width: 550px;
    height: 148px;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    color: #f4f5f7;
  }

  .line-horizontal {
    width: 794px;
    height: 0;
    border: 1px solid #212121;
  }

  .img-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 44px;
    background: white;
  }

  .mult-story {
    width: 60%;
    height: 400px;
  }

  .project-title {
    font-family: 'Crete Round', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 52px;
    margin-bottom: 6px;
    display: flex;
    align-items: center;
    color: #091e42;
  }

  .project-description {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    color: #091e42;
  }

  .project-data > .project-title {
    font-family: 'Crete Round', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 44px;
    color: #fff;
    padding-bottom: 24px;
  }

  .project-data > .project-description {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 17px;
    line-height: 24px;
    color: #fff;
  }

  .fullwidth-button {
    display: block;
    width: 100%;
  }

  .fullwidth-button-1 {
    display: none;
    width: 369px;
    height: 435px;
  }

  .language-list {
    align-items: flex-start;
    padding-left: 114px;
  }

  .languages-1 {
    display: none;
  }

  #myModal {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    z-index: 1000;
    background-color: rgba(208, 208, 209, 0.3);
    transition: all 0.3s linear;
  }

  .modal-container {
    background: #fff;
    height: 631px;
    width: 1156px;
    margin: 100px;
    bottom: 1px;
    border: 1px solid #ebecf0;
    padding-left: 8px;
  }

  .modal-header {
    display: flex;
    flex-direction: column;
  }

  .mod-heading {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .mod-heading h2 {
    width: 1056px;
    height: 40px;
    font-family: 'Crete Round', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 44px;
    color: #172b4d;
  }

  .modal-language {
    margin-left: 2px;
    display: flex;
    flex-direction: row;
    list-style: none;
  }

  .close {
    width: 70px;
    height: 28px;
    opacity: 0.5;
    color: #3c3a39;
    font-size: 50px;
    margin-top: 10px;
  }

  .close:hover {
    opacity: 0.8;
  }

  .modal-language li {
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    color: #3c3a39;
    row-gap: 10px;
    border: 1px solid #3c3a39;
    padding: 10px;
    margin: 10px;
  }

  .description-part {
    display: flex;
    flex-direction: row;
  }

  .img-b {
    height: 430px;
    width: 659px;
    left: 24px;
    top: 156px;
    border-radius: 0;
  }

  .info-pop {
    display: flex;
    flex-direction: column;
    margin-left: 20px;
    margin-right: 10px;
    height: 448px;
  }

  .info-pop p {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 30px;
    text-align: left;
    margin-top: -6px;
    color: #172b4d;
  }

  .button-modal {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    margin-top: 100px;
  }

  .btn-o {
    padding: 12px;
    gap: 12px;
    width: 134px;
    height: 48px;
    background: #f55800;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 17px;
    line-height: 24px;
    color: #fff;
    border-style: none;
    align-items: center;
    text-align: center;
    letter-spacing: 0.03em;
  }

  .live {
    height: 16px;
    width: 16px;
    left: 4px;
    top: 4px;
    border-radius: 1px;
  }

  .btn-oo {
    height: 48px;
    width: 159px;
    gap: 12px;
    top: 556px;
    padding: 12px;
    background: #f55800;
    color: #fff;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    border-style: none;
  }

  .see {
    height: 20px;
    width: 17.985200881958008px;
    left: 0.013671875px;
    top: 1px;
    margin-left: 6px;
  }

  .about-me {
    display: grid;
    grid-template-columns: 1fr 1fr;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    color: #1c1a19;
    background: #262626;
  }

  .about-me-main {
    margin-left: 80px;
  }

  h2.section-header-1 {
    text-align: left;
  }

  .about-me > .about-me-main-1 {
    background-position: center;
    background-repeat: no-repeat;
    height: 652px;
    width: 652px;
    background-image: url(images/Group-1.png);
  }

  .between-about-skill {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    color: #fff;
    border: 1px solid #fff;
  }

  .about-me p {
    font-family: 'Crete Round', sans-serif;
    color: #fff;
    font-weight: 400;
  }

  .skill-set {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-top: 0;
    padding-top: 20px;
    background: #262626;
  }

  .skill-set li {
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 43px;
  }

  .lang-wrapper {
    padding-left: 131px;
  }

  .fhead {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 44px;
  }

  .contact {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 0;
    padding-left: 24px;
    padding-right: 24px;
  }

  .contactus-description {
    width: 455px;
    height: 256px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #262626;
  }

  .login-name {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
  }

  .email-add {
    width: 95%;
  }

  .msg-box {
    width: 95%;
    height: 100px;
    background: #fbf8f7;
  }

  .form-submit {
    width: 122px;
    height: 48px;
    background: #f55800;
    color: #f4f5f7;
    border: none;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 17px;
  }

  .form-submit:hover {
    background-color: black;
  }

  footer {
    border-style: none;
  }

  footer > hr {
    display: none;
  }

  .footer-icon {
    border-top: 1px solid #dfe1e6;
  }
}

/* for mobile hamburger menu */

@media (max-width: 768px) {
  .hamburger {
    display: block;
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .nav-menu {
    position: fixed;
    left: -100%;
    height: 100%;
    top: 0;
    display: flex;
    flex-direction: column;
    background: #3c3a39;
    width: 100%;
    transition: 0.3s;
    text-align: left;
    margin-top: 30px;
    justify-content: flex-start;
  }

  .nav-link {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 32px;
    line-height: 12px;
    color: #fff5e1;
    height: 100%;
  }

  .nav-menu li a {
    position: sticky;
    margin: 0;
    top: 10px;
  }

  .nav-menu.active {
    left: 1px;
  }

  .line-hor {
    display: block;
    height: 1px;
    width: 327px;
    border-radius: 1px;
    background: #fff;
  }

  .icons {
    display: none;
  }

  .modal-language {
    color: #719ece;
  }
}
